package com.hh.arome.basecard;

import android.content.Context;

import com.hh.arome.basecard.listener.SocialSecurityCardResaultListener;

/**
 * @Description:
 * @author: Xia WeiHao
 * @date: 2024/6/24
 */
public abstract class BaseSocialSecurityCardReader {

    private int mCardReadState=0; //0 设备未连接  1 已加载读卡器 2 插入USB设备 3  拔出USB设备

    SocialSecurityCardConfig config;

    public SocialSecurityCardResaultListener listener;

    public BaseSocialSecurityCardReader() {
    }

    public BaseSocialSecurityCardReader(SocialSecurityCardConfig config, SocialSecurityCardResaultListener listener) {
        this.config = config;
        this.listener = listener;
    }

    public void setConfig(SocialSecurityCardConfig config) {
        this.config = config;
    }

    public SocialSecurityCardConfig getConfig() {
        return config;
    }

    public abstract void init(Context context);


    public int getmCardReadState() {
        return mCardReadState;
    }

    public void setmCardReadState(int mCardReadState) {
        this.mCardReadState = mCardReadState;
    }

    public SocialSecurityCardResaultListener getListener() {
        return listener;
    }

    public void setListener(SocialSecurityCardResaultListener listener) {
        this.listener = listener;
    }
    public abstract void startRead();
    public abstract void  stopRead();

    public abstract void release(Context context);
}
